Package org.eclipse.mat.ui.snapshot.panes

# Class OQLPane

java.lang.Object
org.eclipse.mat.ui.editor.AbstractEditorPane
org.eclipse.mat.ui.editor.CompositeHeapEditorPane
org.eclipse.mat.ui.snapshot.panes.OQLPane

All Implemented Interfaces:
  `IAdaptable`, `ISelectionChangedListener`, `ISelectionProvider`, `IEditorPart`, `ISaveablePart`, `IWorkbenchPart`

public class OQLPane extends CompositeHeapEditorPane

## Nested Class Summary

Nested Classes
Modifier and Type
Class
Description
`static class`
`OQLPane.ContentAssistOQLHandler`
`static class`
`OQLPane.ExecuteOQLHandler`

## Field Summary

### Fields inherited from interface org.eclipse.ui.IEditorPart

`PROP_DIRTY, PROP_INPUT`

### Fields inherited from interface org.eclipse.ui.IWorkbenchPart

`PROP_TITLE`

## Constructor Summary

Constructors
Constructor
Description
`OQLPane()`

## Method Summary

Modifier and Type
Method
Description
`void`
`contributeToToolBar(IToolBarManager manager)`
`void`
`createExceptionPane(Exception cause, String queryString)`
`void`
`createPartControl(Composite parent)`
`void`
`dispose()`
`AbstractEditorPane`
`getEmbeddedPane()`
`String`
`getTitle()`
`Image`
`getTitleImage()`
`void`
`initWithArgument(Object param)`
`void`
`setFocus()`

### Methods inherited from class org.eclipse.mat.ui.editor.CompositeHeapEditorPane

`addSelectionChangedListener, closePage, getAdapter, getSelection, removeSelectionChangedListener, selectionChanged, setSelection`

### Methods inherited from class org.eclipse.mat.ui.editor.AbstractEditorPane

`addPropertyListener, doSave, doSaveAs, getEditor, getEditorInput, getEditorSite, getPaneId, getPaneState, getParentPane, getQueryContext, getSite, getTitleToolTip, init, isDirty, isSaveAsAllowed, isSaveOnCloseNeeded, removePropertyListener, setPaneState`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### OQLPane

public OQLPane()

## Method Details

### createPartControl

public void createPartControl(Composite parent)

### dispose

public void dispose()

Specified by:
  `dispose` in interface `IWorkbenchPart`
Overrides:
  `dispose` in class `AbstractEditorPane`

### contributeToToolBar

public void contributeToToolBar(IToolBarManager manager)

Overrides:
  `contributeToToolBar` in class `CompositeHeapEditorPane`

### initWithArgument

public void initWithArgument(Object param)

Overrides:
  `initWithArgument` in class `AbstractEditorPane`

### setFocus

public void setFocus()

Specified by:
  `setFocus` in interface `IWorkbenchPart`
Overrides:
  `setFocus` in class `AbstractEditorPane`

### createExceptionPane

public void createExceptionPane(Exception cause, String queryString) throws PartInitException

Throws:
  `PartInitException`

### getTitle

public String getTitle()

### getTitleImage

public Image getTitleImage()

Specified by:
  `getTitleImage` in interface `IWorkbenchPart`
Overrides:
  `getTitleImage` in class `AbstractEditorPane`

### getEmbeddedPane

public AbstractEditorPane getEmbeddedPane()